## org.apache.portals.bridges.jsf
Class NullIterator

    java.lang.Object
      org.apache.portals.bridges.jsf.NullIterator

All Implemented Interfaces:
  Iterator

public final class NullIterator
extends Object
implements Iterator

Iterator without elements.

Code borrowed from myfaces.

Field Summary
`private static NullIterator` `INSTANCE`

Constructor Summary
`NullIterator()`

Method Summary
`boolean` `hasNext()`
`static Iterator` `instance()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    private static final NullIterator INSTANCE

Constructor Detail

### NullIterator

    public NullIterator()

Method Detail

### instance

    public static final Iterator instance()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.